### Method

# ECal ComponentText copy

since: 3.34

#### Declaration [src]

    ECalComponentText*
    e_cal_component_text_copy (
      const ECalComponentText* text
    )

#### Description

No description available.

Available since: 3.34

#### Return value

Type: `ECalComponentText`

A newly allocated `ECalComponentText`, copy of `text`. The returned structure should be freed with e_cal_component_text_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.